﻿using Verse;

namespace LitterBiotech.Helpers
{
    public static class LBTLogger
    {
        public static void Message(string message)
        {
            Log.Message("[INFO][LitterBT] - " + message);
        }

        public static void Warning(string message)
        {
            Log.Message("[WARN][LitterBT] - " + message);
        }

        public static void Error(string message)
        {
            Log.Message("[ ERR][LitterBT] - " + message);
        }

        public static void MessageGroupHead(string message)
        {
            Log.Message("[INFO][LitterBT]╦═ " + message);
        }
        public static void MessageGroupBody(string message)
        {
            Log.Message("[INFO][LitterBT]╠═══ " + message);
        }
        public static void MessageGroupFoot(string message)
        {
            Log.Message("[INFO][LitterBT]╚═══ " + message);
        }
    }
}
